Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# ConfigVariableSearchPath Class Reference

This is similar to a ConfigVariableList, but it returns its list as a DSearchPath, as a list of directories. More...

Inheritance diagram for ConfigVariableSearchPath:

List of all members.

## Public Member Functions
| ConfigVariableSearchPath (string name, DSearchPath const default_value, string description, int flags)
| ConfigVariableSearchPath (string name, DSearchPath const default_value, string description)
| ConfigVariableSearchPath (string name, string default_value, string description)
| ConfigVariableSearchPath (string name, string description, int flags)
| ConfigVariableSearchPath (string name, string default_value, string description, int flags)
| ConfigVariableSearchPath (string name, string description)
| ConfigVariableSearchPath (string name)
| appendDirectory (Filename const directory)
| Adds a new directory to the end of the search list.
| appendPath (string path)
| Adds all of the directories listed in the search path to the end of the search list.
| appendPath (DSearchPath const path)
| Adds all of the directories listed in the search path to the end of the search list.
| appendPath (string path, string separator)
| Adds all of the directories listed in the search path to the end of the search list.
| clear ()
| Removes all the directories locally added to the search list, and restores it to its original form.
bool | clearLocalValue ()
| Removes all the directories locally added to the search list, and restores it to its original form.
Results | findAllFiles (Filename const filename)
| This variant of find_all_files() returns the new Results object, instead of filling on in on the parameter list.
int | findAllFiles (Filename const filename, Results results)
| Searches all the directories in the search list for the indicated file, in order.
Filename | findFile (Filename const filename)
| Searches all the directories in the search list for the indicated file, in order.
DSearchPath const | getDefaultValue ()
list | getDirectories ()
Filename const | getDirectory (int n)
| Returns the nth directory on the search list.
int | getNumDirectories ()
| Returns the number of directories on the search list.
DSearchPath const | getValue ()
bool | isEmpty ()
| Returns true if the search list is empty, false otherwise.
| output (ostream out)
| prependDirectory (Filename const directory)
| Adds a new directory to the front of the search list.
| prependPath (DSearchPath const path)
| Adds all of the directories listed in the search path to the beginning of the search list.
| write (ostream out)

## Detailed Description

This is similar to a ConfigVariableList, but it returns its list as a DSearchPath, as a list of directories.

You may locally append directories to the end of the search path with the methods here, or prepend them to the beginning. Use these methods to make adjustments to the path; do not attempt to directly modify the const DSearchPath object returned by get_value().

Unlike other ConfigVariable types, local changes (made by calling append_directory() and prepend_directory()) are specific to this particular instance of the ConfigVariableSearchPath. A separate instance of the same variable, created by using the same name to the constructor, will not reflect the local changes.

## Constructor & Destructor Documentation

ConfigVariableSearchPath | ( | string | name,
|  | DSearchPath const | default_value,
|  | string | description,
|  | int | flags
| ) |  |

ConfigVariableSearchPath | ( | string | name,
|  | DSearchPath const | default_value,
|  | string | description
| ) |  |

ConfigVariableSearchPath | ( | string | name,
|  | string | default_value,
|  | string | description,
|  | int | flags
| ) |  |

ConfigVariableSearchPath | ( | string | name,
|  | string | default_value,
|  | string | description
| ) |  |

ConfigVariableSearchPath | ( | string | name,
|  | string | description,
|  | int | flags
| ) |  |

ConfigVariableSearchPath | ( | string | name,
|  | string | description
| ) |  |

ConfigVariableSearchPath | ( | string | name | ) |

## Member Function Documentation

appendDirectory | ( | Filename const | directory | ) |

Adds a new directory to the end of the search list.

appendPath | ( | string | path,
|  | string | separator
| ) |  |

Adds all of the directories listed in the search path to the end of the search list.

appendPath | ( | string | path | ) |

Adds all of the directories listed in the search path to the end of the search list.

appendPath | ( | DSearchPath const | path | ) |

Adds all of the directories listed in the search path to the end of the search list.

clear | ( |  | ) |

Removes all the directories locally added to the search list, and restores it to its original form.

bool clearLocalValue | ( |  | ) |

Removes all the directories locally added to the search list, and restores it to its original form.

Reimplemented from ConfigVariableBase.

int findAllFiles | ( | Filename const | filename,
|  | Results | results
| ) |  |

Searches all the directories in the search list for the indicated file, in order.

Fills up the results list with *all* of the matching filenames found, if any. Returns the number of matches found.

It is the responsibility of the the caller to clear the results list first; otherwise, the newly-found files will be appended to the list.

Results findAllFiles | ( | Filename const | filename | ) |

This variant of find_all_files() returns the new Results object, instead of filling on in on the parameter list.

This is a little more convenient to call from Python.

Filename findFile | ( | Filename const | filename | ) |

Searches all the directories in the search list for the indicated file, in order.

Returns the full matching pathname of the first match if found, or the empty string if not found.

DSearchPath const getDefaultValue | ( |  | ) |

list getDirectories | ( |  | ) |

Filename const getDirectory | ( | int | n | ) |

Returns the nth directory on the search list.

int getNumDirectories | ( |  | ) |

Returns the number of directories on the search list.

DSearchPath const getValue | ( |  | ) |

bool isEmpty | ( |  | ) |

Returns true if the search list is empty, false otherwise.

output | ( | ostream | out | ) |

Reimplemented from ConfigVariableBase.

prependDirectory | ( | Filename const | directory | ) |

Adds a new directory to the front of the search list.

prependPath | ( | DSearchPath const | path | ) |

Adds all of the directories listed in the search path to the beginning of the search list.

write | ( | ostream | out | ) |

Reimplemented from ConfigVariableBase.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties